//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Skill complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Skill"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SkillHeadline" type="{urn:ams.se:Taxonomy}SkillHeadline" minOccurs="0"/&gt;
 *         &lt;element name="SkillID" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="Term" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Skill", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "skillHeadline",
    "skillID",
    "term"
})
public class Skill {

    @XmlElement(name = "SkillHeadline")
    protected SkillHeadline skillHeadline;
    @XmlElement(name = "SkillID")
    protected int skillID;
    @XmlElement(name = "Term")
    protected String term;

    /**
     * Gets the value of the skillHeadline property.
     * 
     * @return
     *     possible object is
     *     {@link SkillHeadline }
     *     
     */
    public SkillHeadline getSkillHeadline() {
        return skillHeadline;
    }

    /**
     * Sets the value of the skillHeadline property.
     * 
     * @param value
     *     allowed object is
     *     {@link SkillHeadline }
     *     
     */
    public void setSkillHeadline(SkillHeadline value) {
        this.skillHeadline = value;
    }

    /**
     * Gets the value of the skillID property.
     * 
     */
    public int getSkillID() {
        return skillID;
    }

    /**
     * Sets the value of the skillID property.
     * 
     */
    public void setSkillID(int value) {
        this.skillID = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerm(String value) {
        this.term = value;
    }

}
